%global npm_name shebang-command
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.2.0
Release: %mkrel 5
Summary: Get the command from a shebang
License: MIT
Group: Development/Other
URL: https://github.com/kevva/shebang-command#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(shebang-regex)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%nodejs_fixdep shebang-regex ">=2.0.0"

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.2.0-5.mga9
+ Revision: 1818652
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-4.mga8
+ Revision: 1503165
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-3.mga7
+ Revision: 1280944
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.2.0-2.mga7
+ Revision: 1227337
- Fix nodejs dependencies

* Mon Apr 30 2018 kekepower <kekepower> 1.2.0-1.mga7
+ Revision: 1223751
- imported package nodejs-shebang-command

